package com.mortals.xhx.module.matter.model;

import java.util.List;
import com.mortals.xhx.module.matter.model.MatterCategoryEntity;
/**
* 事项材料分类查询对象
*
* @author zxfei
* @date 2023-06-21
*/
public class MatterCategoryQuery extends MatterCategoryEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 分类编码 */
    private List<String> categoryCodeList;

    /** 分类编码排除列表 */
    private List <String> categoryCodeNotList;
    /** 分类名称 */
    private List<String> categoryNameList;

    /** 分类名称排除列表 */
    private List <String> categoryNameNotList;
    /** 开始 事项Id */
    private Long matterIdStart;

    /** 结束 事项Id */
    private Long matterIdEnd;

    /** 增加 事项Id */
    private Long matterIdIncrement;

    /** 事项Id列表 */
    private List <Long> matterIdList;

    /** 事项Id排除列表 */
    private List <Long> matterIdNotList;

    /** 事项名称 */
    private List<String> matterNameList;

    /** 事项名称排除列表 */
    private List <String> matterNameNotList;
    /** 开始 排序字段 */
    private Integer sortStart;

    /** 结束 排序字段 */
    private Integer sortEnd;

    /** 增加 排序字段 */
    private Integer sortIncrement;

    /** 排序字段列表 */
    private List <Integer> sortList;

    /** 排序字段排除列表 */
    private List <Integer> sortNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 创建用户排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 更新用户排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<MatterCategoryQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<MatterCategoryQuery> andConditionList;

    public MatterCategoryQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 分类编码
    * @return categoryCodeList
    */
    public List<String> getCategoryCodeList(){
        return this.categoryCodeList;
    }

    /**
    * 设置 分类编码
    * @param categoryCodeList
    */
    public void setCategoryCodeList(List<String> categoryCodeList){
        this.categoryCodeList = categoryCodeList;
    }

    /**
    * 获取 分类编码
    * @return categoryCodeNotList
    */
    public List<String> getCategoryCodeNotList(){
        return this.categoryCodeNotList;
    }

    /**
    * 设置 分类编码
    * @param categoryCodeNotList
    */
    public void setCategoryCodeNotList(List<String> categoryCodeNotList){
        this.categoryCodeNotList = categoryCodeNotList;
    }

    /**
    * 获取 分类名称
    * @return categoryNameList
    */
    public List<String> getCategoryNameList(){
        return this.categoryNameList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public void setCategoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
    }

    /**
    * 获取 分类名称
    * @return categoryNameNotList
    */
    public List<String> getCategoryNameNotList(){
        return this.categoryNameNotList;
    }

    /**
    * 设置 分类名称
    * @param categoryNameNotList
    */
    public void setCategoryNameNotList(List<String> categoryNameNotList){
        this.categoryNameNotList = categoryNameNotList;
    }

    /**
    * 获取 开始 事项Id
    * @return matterIdStart
    */
    public Long getMatterIdStart(){
        return this.matterIdStart;
    }

    /**
    * 设置 开始 事项Id
    * @param matterIdStart
    */
    public void setMatterIdStart(Long matterIdStart){
        this.matterIdStart = matterIdStart;
    }

    /**
    * 获取 结束 事项Id
    * @return $matterIdEnd
    */
    public Long getMatterIdEnd(){
        return this.matterIdEnd;
    }

    /**
    * 设置 结束 事项Id
    * @param matterIdEnd
    */
    public void setMatterIdEnd(Long matterIdEnd){
        this.matterIdEnd = matterIdEnd;
    }

    /**
    * 获取 增加 事项Id
    * @return matterIdIncrement
    */
    public Long getMatterIdIncrement(){
        return this.matterIdIncrement;
    }

    /**
    * 设置 增加 事项Id
    * @param matterIdIncrement
    */
    public void setMatterIdIncrement(Long matterIdIncrement){
        this.matterIdIncrement = matterIdIncrement;
    }

    /**
    * 获取 事项Id
    * @return matterIdList
    */
    public List<Long> getMatterIdList(){
        return this.matterIdList;
    }

    /**
    * 设置 事项Id
    * @param matterIdList
    */
    public void setMatterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
    }

    /**
    * 获取 事项Id
    * @return matterIdNotList
    */
    public List<Long> getMatterIdNotList(){
        return this.matterIdNotList;
    }

    /**
    * 设置 事项Id
    * @param matterIdNotList
    */
    public void setMatterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
    }


    /**
    * 获取 事项名称
    * @return matterNameList
    */
    public List<String> getMatterNameList(){
        return this.matterNameList;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public void setMatterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
    }

    /**
    * 获取 事项名称
    * @return matterNameNotList
    */
    public List<String> getMatterNameNotList(){
        return this.matterNameNotList;
    }

    /**
    * 设置 事项名称
    * @param matterNameNotList
    */
    public void setMatterNameNotList(List<String> matterNameNotList){
        this.matterNameNotList = matterNameNotList;
    }

    /**
    * 获取 开始 排序字段
    * @return sortStart
    */
    public Integer getSortStart(){
        return this.sortStart;
    }

    /**
    * 设置 开始 排序字段
    * @param sortStart
    */
    public void setSortStart(Integer sortStart){
        this.sortStart = sortStart;
    }

    /**
    * 获取 结束 排序字段
    * @return $sortEnd
    */
    public Integer getSortEnd(){
        return this.sortEnd;
    }

    /**
    * 设置 结束 排序字段
    * @param sortEnd
    */
    public void setSortEnd(Integer sortEnd){
        this.sortEnd = sortEnd;
    }

    /**
    * 获取 增加 排序字段
    * @return sortIncrement
    */
    public Integer getSortIncrement(){
        return this.sortIncrement;
    }

    /**
    * 设置 增加 排序字段
    * @param sortIncrement
    */
    public void setSortIncrement(Integer sortIncrement){
        this.sortIncrement = sortIncrement;
    }

    /**
    * 获取 排序字段
    * @return sortList
    */
    public List<Integer> getSortList(){
        return this.sortList;
    }

    /**
    * 设置 排序字段
    * @param sortList
    */
    public void setSortList(List<Integer> sortList){
        this.sortList = sortList;
    }

    /**
    * 获取 排序字段
    * @return sortNotList
    */
    public List<Integer> getSortNotList(){
        return this.sortNotList;
    }

    /**
    * 设置 排序字段
    * @param sortNotList
    */
    public void setSortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建用户
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public MatterCategoryQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public MatterCategoryQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public MatterCategoryQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public MatterCategoryQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public MatterCategoryQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public MatterCategoryQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }


	/**
    * 设置 分类编码
    * @param categoryCode
    */
    public MatterCategoryQuery categoryCode(String categoryCode){
        setCategoryCode(categoryCode);
		return this;
    }

    /**
    * 设置 分类编码
    * @param categoryCodeList
    */
    public MatterCategoryQuery categoryCodeList(List<String> categoryCodeList){
        this.categoryCodeList = categoryCodeList;
		return this;
    }


	/**
    * 设置 分类名称
    * @param categoryName
    */
    public MatterCategoryQuery categoryName(String categoryName){
        setCategoryName(categoryName);
		return this;
    }

    /**
    * 设置 分类名称
    * @param categoryNameList
    */
    public MatterCategoryQuery categoryNameList(List<String> categoryNameList){
        this.categoryNameList = categoryNameList;
		return this;
    }

    /**
    * 设置  事项Id
    * @param matterId
    */
    public MatterCategoryQuery matterId(Long matterId){
	    setMatterId(matterId);
		return this;
    }
	
	 /**
    * 设置 开始 事项Id
    * @param matterIdStart
    */
    public MatterCategoryQuery matterIdStart(Long matterIdStart){
		this.matterIdStart = matterIdStart;
		return this;
    }

    /**
    * 设置 结束 事项Id
    * @param matterIdEnd
    */
    public MatterCategoryQuery matterIdEnd(Long matterIdEnd){
		this.matterIdEnd = matterIdEnd;
		return this;
    }

    /**
    * 设置 增加 事项Id
    * @param matterIdIncrement
    */
    public MatterCategoryQuery matterIdIncrement(Long matterIdIncrement){
		this.matterIdIncrement = matterIdIncrement;
		return this;
    }

    /**
    * 设置 事项Id
    * @param matterIdList
    */
    public MatterCategoryQuery matterIdList(List<Long> matterIdList){
        this.matterIdList = matterIdList;
		return this;
        }

        /**
        * 设置 事项Id
        * @param matterIdNotList
        */
        public MatterCategoryQuery matterIdNotList(List<Long> matterIdNotList){
        this.matterIdNotList = matterIdNotList;
        return this;
        }


	/**
    * 设置 事项名称
    * @param matterName
    */
    public MatterCategoryQuery matterName(String matterName){
        setMatterName(matterName);
		return this;
    }

    /**
    * 设置 事项名称
    * @param matterNameList
    */
    public MatterCategoryQuery matterNameList(List<String> matterNameList){
        this.matterNameList = matterNameList;
		return this;
    }

    /**
    * 设置  排序字段
    * @param sort
    */
    public MatterCategoryQuery sort(Integer sort){
	    setSort(sort);
		return this;
    }
	
	 /**
    * 设置 开始 排序字段
    * @param sortStart
    */
    public MatterCategoryQuery sortStart(Integer sortStart){
		this.sortStart = sortStart;
		return this;
    }

    /**
    * 设置 结束 排序字段
    * @param sortEnd
    */
    public MatterCategoryQuery sortEnd(Integer sortEnd){
		this.sortEnd = sortEnd;
		return this;
    }

    /**
    * 设置 增加 排序字段
    * @param sortIncrement
    */
    public MatterCategoryQuery sortIncrement(Integer sortIncrement){
		this.sortIncrement = sortIncrement;
		return this;
    }

    /**
    * 设置 排序字段
    * @param sortList
    */
    public MatterCategoryQuery sortList(List<Integer> sortList){
        this.sortList = sortList;
		return this;
        }

        /**
        * 设置 排序字段
        * @param sortNotList
        */
        public MatterCategoryQuery sortNotList(List<Integer> sortNotList){
        this.sortNotList = sortNotList;
        return this;
        }


    /**
    * 设置  创建用户
    * @param createUserId
    */
    public MatterCategoryQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public MatterCategoryQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public MatterCategoryQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public MatterCategoryQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public MatterCategoryQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建用户
        * @param createUserIdNotList
        */
        public MatterCategoryQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }

    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public MatterCategoryQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public MatterCategoryQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public MatterCategoryQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public MatterCategoryQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public MatterCategoryQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新用户
        * @param updateUserIdNotList
        */
        public MatterCategoryQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<MatterCategoryQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<MatterCategoryQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<MatterCategoryQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<MatterCategoryQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}